=== debian/control ===
Source: ros-galactic-turtlesim
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-galactic-ament-cmake, ros-galactic-ament-index-cpp, ros-galactic-geometry-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rosidl-default-generators, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-galactic-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-galactic-ament-index-cpp, ros-galactic-geometry-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rosidl-default-runtime, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace
Description: turtlesim is a tool made for teaching ROS and ROS packages.
